Skip to content
MothershipDevelopers

API referenceFiles

Retrieve a file

Returns a download URL for the file with the given file ID.

GET/files/{fileId}
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/files/3f1c2a9e-5b7d-4e8a-9c61-2d4f8b0e7a15' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: "https://s3-us-west-1.amazonaws.com/mothership-shipments-bill-of-lading/MS5016101.pdf"
}
}

Hover a key to see what it means. Click it to jump to the field.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

  • fileIdstringRequired

    ID of the file to download.